%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/go-playground/locales
Version:                0.14.1

%gometa

%global common_description %{expand:
A set of locales generated from the CLDR Project which can be
used independently or within an i18n package; these were built for use with,
but not exclusive to https://github.com/go-playground/universal-translator.}

%global golicenses      LICENSE
%global godocs          README.md cmd/README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Set of locales generated from the CLDR Project

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.1-1
- initial build
